# Icinga/Nagios plugin to check Clamav daemon

This script could be used as Icinga/Nagios check plugin to check Clamav daemon status.

This script use *clamdscan* utility to check a file and verify Clamav daemon status.

## Installation

```
apt-get install clamdscan
git clone https://gogs.zionetrix.net/bn8/check_clamd.git /usr/local/src/check_clamd
mkdir -p /usr/local/lib/nagios/plugins
ln -s /usr/local/src/check_mdb/check_clamd /usr/local/lib/nagios/plugins/
echo "command[check_clamd]=/usr/local/lib/nagios/plugins/check_clamd" > /etc/nagios/nrpe.d/clamd.cfg
service nagios-nrpe-server reload
```


## Usage

```
Usage : check_clamd [-d] [-h] [options]
	-c			Path to clamdscan (Default : auto-detected)
	-f			Path of the file to check with clamdscan (Default : /etc/mtab)
	-d			Debug mode
	-h 			Show this message
```

## Copyright

Copyright (c) 2021 Benjamin Renard

## License

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

